1 Reply Latest reply on Jun 21, 2013 9:42 PM by pwillener

    I need flash player 11.7

    jerbonsai

      I have running system Mac OS 10.5 and fully updated flash player but it is only 10.3.??? I need Flash 11.7 so that I can a certain program. What do I do?